<?php
session_start();
$time_start = microtime(true); 
include "../../inc/config.php";
require('../../lib/simplexlsx.class.php');

session_check();
switch ($_GET["act"]) {
  case 'down_template':
    require_once '../Writer.php';
    $jenis_method = $_GET['jenis'];


//jalur pendaftaran
$data_jalur = $db->fetch_custom("select * from jalur_masuk");
foreach ($data_jalur as $jalur) {
  $jalur_masuk[] = $jalur->id." : ".$jalur->jalur;
}
//jenis pendaftaran
$data_jenisdaftar = $db->fetch_custom("select * from jenis_pendaftaran");
foreach ($data_jenisdaftar as $jenis) {
  $jenis_pendaftaran[] = $jenis->id_jns_daftar." : ".$jenis->nm_jns_daftar;
}
//jenis pendaftaran
$data_tinggal = $db->fetch_custom("select * from jenis_tinggal");
foreach ($data_tinggal as $tinggal) {
  $jenis_tinggal[] = $tinggal->id_jns_tinggal." : ".$tinggal->nm_jns_tinggal;
}
//jenis data_transportasi
$data_transportasi = $db->fetch_custom("select * from data_transportasi");
foreach ($data_transportasi as $trf) {
  $alat_transportasi[] = $trf->id_alat_transport." : ".$trf->nm_alat_transport;
}
//jenjang pendidikan
$data_jenjang_pendidikan = $db->fetch_custom("select * from jenjang_pendidikan");
foreach ($data_jenjang_pendidikan as $jenjang) {
  $jenjang_pendidikan[] = $jenjang->id_jenj_didik." : ".$jenjang->nm_jenj_didik;
}
//pekerjaan
$data_pekerjaan = $db->fetch_custom("select * from pekerjaan");
foreach ($data_pekerjaan as $kerjaan) {
  $pekerjaan[] = $kerjaan->id_pekerjaan." : ".$kerjaan->nm_pekerjaan;
}

//pekerjaan
$data_penghasilan = $db->fetch_custom("select * from penghasilan");
foreach ($data_penghasilan as $hasil) {
  $penghasilan[] = $hasil->id_penghasilan." : ".$hasil->nm_penghasilan;
}
    if ($jenis_method==1) {
  
    $writer = new XLSXWriter();
    $style =
            array (
                          array(
                  'border' => array(
                    'style' => 'thin',
                    'color' => '000000'
                    ),
                'allfilleddata' => true
                ),
                array(
                    'fill' => array(
                        'color' => 'ff0000'
                        ),
                    'cells' => array(
                        'A1',
                        'B1',
                         'C1',
                          'D1',
                        'E1',
                        'H1',
                       'I1',
                        'J1',
                        'K1'
                        ),
                    'border' => array(
                        'style' => 'thin',
                        'color' => '000000'
                        ),
                    'verticalAlign' => 'center',
                    'horizontalAlign' => 'center',
                ),
                array(
                    'fill' => array(
                        'color' => '2f74b5'
                        ),
                    'cells' => array(
                     
                        'F1',
                        'G1'
                        ),
                    'border' => array(
                        'style' => 'thin',
                        'color' => '000000'
                        ),
                    'verticalAlign' => 'center',
                    'horizontalAlign' => 'center',
                    ),
            array(
                'fill' => array(
                    'color' => '00ff00'
                    ),
                'cells' => array(
                      'K1'
                    ),
                'border' => array(
                    'style' => 'thin',
                    'color' => '000000'
                    ),
                'verticalAlign' => 'center',
                'horizontalAlign' => 'center',
                )
            );


    //column width
    $col_width = array(
      1 => 19,
      2 => 20,
      3 => 20,
      4 => 20,
      5 => 20,
      6 => 20,
      7 => 20,
      8 => 20,
      9 => 20,
      10 => 23,
      11 => 28
      );
    $writer->setColWidth($col_width);

    $header = array(
      'NIM'=> 'string',
      'Periode Pendaftaran'=> 'string',
      'Jenis Pendaftaran'=> 'string',
      'Jalur Pendaftaran'=> 'string',
      'Tanggal Masuk'=> 'string',
      'Asal Perguruan Tinggi'=> 'string',
      'Asal Program Studi'=> 'string',
      'Kode Prodi'=> 'string',
      'Pembiayaan Awal'=> 'string',
      'Jumlah Biaya Masuk'=> 'string',
      'ID Peminatan'=> 'string',
    );
      

    $data_rec = array(); 
            $key = json_decode(file_get_contents('update_sample.json'));

                    $data_rec[] = array(
                           $key->nipd,
                           $key->mulai_smt,
                           $key->id_jns_daftar,
                           $key->id_jalur_masuk,
                           $key->tgl_masuk_sp,
                           $key->kode_pt_asal,
                           $key->kode_prodi_asal,
                           $key->kode_jurusan,
                           $key->id_pembiayaan,
                           $key->biaya_masuk_kuliah,
                           ''
                           );
                     $filename = 'template_update_history.xlsx';

$comments = array(
'A1' => 'NIM / NIPD Mahasiswa

info : wajib disi',
'B1' => 'Peride Masuk Kuliah/Angkatan
tahun+semester
1 : ganjil, 2 genap, 
20221 berarti angakatan 2022 ganjil
Info : Wajib Diisi',
'C1' => 'Isi sesuai id dibawah
'.implode("\n", $jenis_pendaftaran).'
Info : Wajib Diisi',
'D1' => 'Isi sesuai id dibawah
'.implode("\n", $jalur_masuk).'

Info : Wajib Diisi',
'E1' => 'format tahun-bulan-tanggal
Info : Wajib Diisi',
'F1' => 'Jika Jenis Pendaftaran BUKAN Peserta Didik Baru
Maka Kode Asal Perguruan Tinggi  Wajib diisi',
'G1' => 'Jika Jenis Pendaftaran BUKAN Peserta Didik Baru
Maka Kode Asal Program Studi  Wajib diisi',
'H1' => 'Lihat di menu master data -> jurusan

Info : Wajib Diisi',
'I1' => 'Ket : Jenis Pembiayaan
id ket 
1  Mandiri
2  Beasiswa Tidak Penuh
3  Beasiswa Penuh

Info :Wajib diisi',
'J1' => 'Ket : Jumlah Biaya Masuk Mahasiswa, isi tanpa koma atau titik.
contoh : 5000000
Info : Wajib Diisi',
'K1' => 'Jika ada Peminatan Silakan Cari and Copy ID di menu Tool -> Data Peminatan
Info : Boleh Kosong',
);
$writer->setComment($comments);
    header('Content-disposition: attachment; filename="'.XLSXWriter::sanitize_filename($filename).'"');
    header("Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
    header('Content-Transfer-Encoding: binary');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');

    $writer->writeSheet($data_rec,'Template History', $header, $style);
    $writer->writeToStdOut();
    exit(0);
    } elseif ($jenis_method=='3') {
        //update prodi
        $writer = new XLSXWriter();
    $style =
            array (
                          array(
                  'border' => array(
                    'style' => 'thin',
                    'color' => '000000'
                    ),
                'allfilleddata' => true
                ),
                array(
                    'fill' => array(
                        'color' => 'ff0000'
                        ),
                    'cells' => array(
                        'A1',
                        'B1',
                        'C1',
                        'D1',
                        'E1',
                        'F1',
                        'G1',
                        'H1',
                        'I1',
                        ),
                    'border' => array(
                        'style' => 'thin',
                        'color' => '000000'
                        ),
                    'verticalAlign' => 'center',
                    'horizontalAlign' => 'center',
                ),
            array(
                'fill' => array(
                    'color' => '00ff00'
                    ),
                'cells' => array(
                      'J1'
                    ),
                'border' => array(
                    'style' => 'thin',
                    'color' => '000000'
                    ),
                'verticalAlign' => 'center',
                'horizontalAlign' => 'center',
                )
                );

    //column width
    $col_width = array(
      1 => 19,
      2 => 20,
      3 => 20,
      4 => 20,
      5 => 20,
      6 => 20,
      7 => 20,
      8 => 20,
      9 => 20,
      10 => 20
      );
    $writer->setColWidth($col_width);

    $header = array(
      'NIM'=> 'string',
      'Periode Pendaftaran'=> 'string',
      'Jenis Pendaftaran'=> 'string',
      'Jalur Pendaftaran'=> 'string',
      'Tanggal Masuk '=> 'string',
      'Pembiayaan Awal' => 'string',
      'Kode Prodi'=> 'string',
      'Kode Prodi Ganti' => 'string',
      'Jumlah Biaya Masuk'=> 'string',
      'ID Peminatan'=> 'string',
    );
      

    $data_rec = array(); 

        
            $key = json_decode(file_get_contents('insert_sample.json'));

                    $data_rec[] = array(
                           $key->nipd,
                           $key->mulai_smt,
                           $key->id_jns_daftar,
                           $key->id_jalur_masuk,
                           $key->tgl_masuk_sp,
                           $key->id_pembiayaan,
                           $key->kode_jurusan,
                           $key->new_kode_jurusan,
                           $key->biaya_masuk_kuliah,
                           ''
                           );
       $filename = 'template_ubah_prodi.xlsx';
       $comments = array(
'A1' => 'NIM / NIPD Mahasiswa

info : wajib disi',
'B1' => 'Peride Masuk Kuliah/Angkatan
tahun+semester
1 : ganjil, 2 genap, 
20221 berarti angakatan 2022 ganjil
Info : Wajib Diisi',
'C1' => 'Isi sesuai id dibawah
'.implode("\n", $jenis_pendaftaran).'
Info : Wajib Diisi',
'D1' => 'Isi sesuai id dibawah
'.implode("\n", $jalur_masuk).'

Info : Wajib Diisi',
'E1' => 'format tahun-bulan-tanggal
Info : Wajib Diisi',
'F1' => 'Ket : Jenis Pembiayaan
id ket 
1  Mandiri
2  Beasiswa Tidak Penuh
3  Beasiswa Penuh

Info :Wajib diisi',
'G1' => 'Lihat di menu master data -> jurusan

Info : Wajib Diisi',
'H1' => 'Kode Prodi Ganti untuk Mahasiswa ini
Wajib Diisi',
'I1' => 'Ket : Jumlah Biaya Masuk Mahasiswa, isi tanpa koma atau titik.
contoh : 5000000
Info : Wajib Diisi',
'J1' => 'Jika ada Peminatan Silakan Cari and Copy ID di menu Tool -> Data Peminatan
Info : Boleh Kosong',
);
$writer->setComment($comments);

   
    header('Content-disposition: attachment; filename="'.XLSXWriter::sanitize_filename($filename).'"');
    header("Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
    header('Content-Transfer-Encoding: binary');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');

    $writer->writeSheet($data_rec,'Update Prodi', $header, $style);
    $writer->writeToStdOut();
    exit(0);
    } else {

    $writer = new XLSXWriter();
    $style =
            array (
                          array(
                  'border' => array(
                    'style' => 'thin',
                    'color' => '000000'
                    ),
                'allfilleddata' => true
                ),
                array(
                    'fill' => array(
                        'color' => 'ff0000'
                        ),
                    'cells' => array(
                        'A1',
                        'B1',
                        'C1',
                        'D1',
                        'F1',
                        'J1',
                        'K1',
                        'L1',
                         'E1',
                          'G1'
                        ),
                    'border' => array(
                        'style' => 'thin',
                        'color' => '000000'
                        ),
                    'verticalAlign' => 'center',
                    'horizontalAlign' => 'center',
                ),
                            array(
                    'fill' => array(
                        'color' => '2f74b5'
                        ),
                    'cells' => array(
                       
                       
                        'H1',
                        'I1',
                        ),
                    'border' => array(
                        'style' => 'thin',
                        'color' => '000000'
                        ),
                    'verticalAlign' => 'center',
                    'horizontalAlign' => 'center',
                    ),
            array(
                'fill' => array(
                    'color' => '00ff00'
                    ),
                'cells' => array(
                      'M1'
                    ),
                'border' => array(
                    'style' => 'thin',
                    'color' => '000000'
                    ),
                'verticalAlign' => 'center',
                'horizontalAlign' => 'center',
                )
                );

    //column width
    $col_width = array(
      1 => 19,
      2 => 20,
      3 => 20,
      4 => 20,
      5 => 20,
      6 => 20,
      7 => 20,
      8 => 20,
      9 => 20,
      10 => 20,
      11 => 20,
      12 => 20,
      13 => 28
      );
    $writer->setColWidth($col_width);

    $header = array(
      'NIM'=> 'string',
      'NIM BARU'=> 'string',
      'Periode Pendaftaran'=> 'string',
      'Jenis Pendaftaran'=> 'string',
      'Jalur Pendaftaran'=> 'string',
      'Tanggal Masuk '=> 'string',
      'Pembiayaan Awal' => 'string',
      'Asal Perguruan Tinggi'=> 'string',
      'Asal Program Studi'=> 'string',
      'Kode Prodi'=> 'string',
      'Kode Prodi Baru' => 'string',
      'Jumlah Biaya Masuk'=> 'string',
      'ID Peminatan'=> 'string',
    );
      

    $data_rec = array(); 

        
            $key = json_decode(file_get_contents('insert_sample.json'));

                    $data_rec[] = array(
                           $key->nipd,
                           $key->new_nipd,
                           $key->mulai_smt,
                           $key->id_jns_daftar,
                           $key->id_jalur_masuk,
                           $key->tgl_masuk_sp,
                           $key->id_pembiayaan,
                           $key->kode_pt_asal,
                           $key->kode_prodi_asal,
                           $key->kode_jurusan,
                           $key->new_kode_jurusan,
                           $key->biaya_masuk_kuliah,
                           ''
                           );
       $filename = 'template_insert_history.xlsx';
       $comments = array(
'A1' => 'NIM / NIPD Mahasiswa

info : wajib disi',
'B1' => 'NIM baru yang akan ditambahkan ke history
Wajib Diisi',
'C1' => 'Peride Masuk Kuliah/Angkatan
tahun+semester
1 : ganjil, 2 genap, 
20221 berarti angakatan 2022 ganjil
Info : Wajib Diisi',
'D1' => 'Isi sesuai id dibawah
'.implode("\n", $jenis_pendaftaran).'
Info : Wajib Diisi',
'E1' => 'Isi sesuai id dibawah
'.implode("\n", $jalur_masuk).'

Info : Wajib Diisi',
'F1' => 'format tahun-bulan-tanggal
Info : Wajib Diisi',
'G1' => 'Ket : Jenis Pembiayaan
id ket 
1  Mandiri
2  Beasiswa Tidak Penuh
3  Beasiswa Penuh

Info :Wajib diisi',
'H1' => 'Jika Jenis Pendaftaran BUKAN Peserta Didik Baru
Maka Kode Asal Perguruan Tinggi  Wajib diisi',
'I1' => 'Jika Jenis Pendaftaran BUKAN Peserta Didik Baru
Maka Kode Asal Program Studi  Wajib diisi',
'J1' => 'Lihat di menu master data -> jurusan

Info : Wajib Diisi',
'K1' => 'Kode Prodi Baru untuk Mahasiswa ini
Wajib Diisi',
'L1' => 'Ket : Jumlah Biaya Masuk Mahasiswa, isi tanpa koma atau titik.
contoh : 5000000
Info : Wajib Diisi',
'M1' => 'Jika ada Peminatan Silakan Cari and Copy ID di menu Tool -> Data Peminatan
Info : Boleh Kosong',
);
$writer->setComment($comments);

   
    header('Content-disposition: attachment; filename="'.XLSXWriter::sanitize_filename($filename).'"');
    header("Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
    header('Content-Transfer-Encoding: binary');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');

    $writer->writeSheet($data_rec,'Template History', $header, $style);
    $writer->writeToStdOut();
    exit(0);
    }
    break;
   case 'delete_all':
  
    $status = $_POST['status'];
    if ($status=='all') {
        $status = '';
    } elseif ($status=='0') {
        $status = "and status_error ='0'";
    } elseif ($status=='1') {
        $status = "and status_error ='1'";
    } elseif ($status=='2') {
        $status = "and status_error ='2'";
    }

    if ($_POST['jurusan']=='all') {
        $jurusan = "";
    } else {
        $jurusan = "and kode_jurusan='".$_POST['jurusan']."'";
    }
    
    if ($_POST['sem']=='all') {
        $semester = "";
    } else {
        $semester = "and mulai_smt='".$_POST['sem']."'";
    }

        if ($semester=="" && $jurusan=="" && $status=="") {
                 if ($_SESSION['level']==1) {
         $db->fetch_custom("TRUNCATE `history_pendidikan`");
       } else {
          $db->fetch_custom("delete from history_pendidikan where kode_jurusan='".$_SESSION['jurusan']."'");
       }

    } else {
      $ids = $db->fetch_custom("select id from history_pendidikan where id!='' $semester $jurusan $status");
      foreach ($ids as $id) {
        $id_delete[] = $id->id;
      }
        $data_id = implode(",", $id_delete);
       $data_mhs_pt = $db->fetch_custom("delete from history_pendidikan where id!='' $semester $jurusan $status and id in ($data_id)");

    }

    break;


   case 'import':
     if (!is_dir("../../../upload/history")) {
              mkdir("../../../upload/history");
            }


   if (!preg_match("/.(xls|xlsx)$/i", $_FILES["semester"]["name"]) ) {

              echo "pastikan file yang anda pilih xls|xlsx";
              exit();

            } else {
              move_uploaded_file($_FILES["semester"]["tmp_name"], "../../../upload/history/".$_FILES['semester']['name']);
              $semester = array("semester"=>$_FILES["semester"]["name"]);

            }




  $error_count = 0;
  $error = array();
  $sukses = 0;
  $values = "";

  
$array_insert = array();
  
  $Reader = new SimpleXLSX("../../../upload/history/".$_FILES['semester']['name']);
  if ($_POST['jenis_method']==1) {
  foreach( $Reader->rows() as $key => $val ) {
      if ($key>0) {
           if ($val[0]!="") {
                 $check = $db->check_exist('history_pendidikan',array(
                'nipd'=> $db->trimmer($val[0]),
                'mulai_smt' => $db->trimmer($val[1]),
                'jenis_method' => 1,
                'kode_jurusan' =>$db->trimmer($val[7])
                ));
              if ($check==true) {
                $error_count++;
                $error[] = $val[0]." ".$val[3]." Sudah Ada";
              } else {
                $sukses++;
                        $array_insert[] = array(
                          'nipd' => $db->trimmer($val[0]),
                          'mulai_smt' => $db->trimmer($val[1]),
                          'id_jns_daftar' => $db->trimmer($val[2]),
                          'id_jalur_masuk' => $db->trimmer($val[3]),
                          'tgl_masuk_sp' => $db->trimmer($val[4]),
                          'kode_pt_asal' => $db->trimmer($val[5]),
                          'kode_prodi_asal' => $db->trimmer($val[6]),
                          'kode_jurusan' => $db->trimmer($val[7]),
                          'id_pembiayaan' => $db->trimmer($val[8]),
                          'biaya_masuk_kuliah' => $db->trimmer($val[9]),
                          'id_bidang_minat' => $db->trimmer($val[10])
                        );
            } 
      }

    }

  }

    if (!empty($array_insert)) {
      $db->insertMulti('history_pendidikan',$array_insert);
      echo $db->getErrorMessage();
    }
  } elseif ($_POST['jenis_method']==3) {
      foreach( $Reader->rows() as $key => $val ) {
        if ($key>0) {
           if ($val[0]!="") {
                 $check = $db->check_exist('history_pendidikan',array(
                'nipd'=> $db->trimmer($val[0]),
                'mulai_smt' => $db->trimmer($val[1]),
                'jenis_method' => 3,
                'kode_jurusan' => $db->trimmer($val[6])
                ));
              if ($check==true) {
                $error_count++;
                $error[] = $val[0]." ".$val[3]." Sudah Ada";
              } else {
                $sukses++;
                        $array_insert[] = array(
                          'nipd' => $db->trimmer($val[0]),
                          'mulai_smt' => $db->trimmer($val[1]),
                          'id_jns_daftar' => $db->trimmer($val[2]),
                          'id_jalur_masuk' => $db->trimmer($val[3]),
                          'tgl_masuk_sp' => $db->trimmer($val[4]),
                          'id_pembiayaan' => $db->trimmer($val[5]),
                          'kode_jurusan' => $db->trimmer($val[6]),
                          'new_kode_jurusan' => $db->trimmer($val[7]),
                          'biaya_masuk_kuliah' => $db->trimmer($val[8]),
                          'id_bidang_minat' => $db->trimmer($val[9]),
                          
                          'jenis_method' => 3
                        );
                      
            } 
                  }

    }

  }

    if (!empty($array_insert)) {
      $db->insertMulti('history_pendidikan',$array_insert);
    }

  } else {
      foreach( $Reader->rows() as $key => $val ) {
        if ($key>0) {
           if ($val[0]!="") {
                 $check = $db->check_exist('history_pendidikan',array(
                'nipd'=> $db->trimmer($val[0]),
                'new_nipd'=> $db->trimmer($val[1]),
                'mulai_smt' => $db->trimmer($val[2]),
                'jenis_method' => 0,
                'kode_jurusan' => $db->trimmer($val[9])
                ));
              if ($check==true) {
                $error_count++;
                $error[] = $val[0]." ".$val[3]." Sudah Ada";
              } else {
                $sukses++;
                        $array_insert[] = array(
                          'nipd' => $db->trimmer($val[0]),
                          'new_nipd' => $db->trimmer($val[1]),
                          'mulai_smt' => $db->trimmer($val[2]),
                          'id_jns_daftar' => $db->trimmer($val[3]),
                          'id_jalur_masuk' => $db->trimmer($val[4]),
                          'tgl_masuk_sp' => $db->trimmer($val[5]),
                          'id_pembiayaan' => $db->trimmer($val[6]),
                          'kode_pt_asal' => $db->trimmer($val[7]),
                          'kode_prodi_asal' => $db->trimmer($val[8]),
                          'kode_jurusan' => $db->trimmer($val[9]),
                          'new_kode_jurusan' => $db->trimmer($val[10]),
                          'biaya_masuk_kuliah' => $db->trimmer($val[11]),
                          'id_bidang_minat' => $db->trimmer($val[12]),
                          'jenis_method' => 0
                        );
                      
            } 
                  }

    }

  }

    if (!empty($array_insert)) {
      $db->insertMulti('history_pendidikan',$array_insert);
    }
  }



    unlink("../../../upload/history/".$_FILES['semester']['name']);
$time_end = microtime(true);
$execution_time = ($time_end - $time_start);
    $msg = '';
if (($sukses>0) || ($error_count>0)) {
  $msg =  "<div class=\"alert alert-warning alert-dismissible\" role=\"alert\" >
  <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">×</button>
      <font color=\"#3c763d\">".$sukses." data History Pendidikan baru berhasil di import</font><br />
      <font color=\"#ce4844\" >".$error_count." data tidak bisa ditambahkan </font>";
      if (!$error_count==0) {
        $msg .= "<a data-toggle=\"collapse\" href=\"#collapseExample\" aria-expanded=\"false\" aria-controls=\"collapseExample\">Detail error</a>";
      }
      //echo "<br />Total: ".$i." baris data";
      $msg .= "<div class=\"collapse\" id=\"collapseExample\">";
          $i=1;
          foreach ($error as $pesan) {
              $msg .= "<div class=\"bs-callout bs-callout-danger\">".$i.". ".$pesan."</div><br />";
            $i++;
            }
      $msg .= "</div>
    </div>";
     $msg .= "<p>Total Waktu Import : ". waktu_import($execution_time);
}
  echo $msg;
    break;
      case 'del_massal':
    $data_ids = $_REQUEST['data_ids'];

     if(trim($data_ids)!="") {
        $delete =  $db->fetch_custom("delete from history_pendidikan where id in ($data_ids)");
    }
    break;
  case "in":
  
  if ($_POST['jenis_method']==1) {

      $data = array(
    "mulai_smt"=>$_POST["mulai_smt"],
    "nipd"=>$_POST["nipd"],
    "id_jns_daftar"=>$_POST["id_jns_daftar"],
    "id_jalur_masuk"=>$_POST["id_jalur_masuk"],
    "tgl_masuk_sp"=>$_POST["tgl_masuk_sp"],
    "kode_pt_asal"=>$_POST["kode_pt_asal"],
    "kode_prodi_asal"=>$_POST["kode_prodi_asal"],
    "kode_jurusan"=>$_POST["jurusan"]);
      
  } else {
      $data = array(
    "mulai_smt"=>$_POST["mulai_smt"],
    "nipd"=>$_POST["nipd"],
    "new_nipd"=>$_POST["new_nipd"],
    "id_jns_daftar"=>$_POST["id_jns_daftar"],
    "id_jalur_masuk"=>$_POST["id_jalur_masuk"],
    "tgl_masuk_sp"=>$_POST["tgl_masuk_sp"],
    "id_pembiayaan"=>$_POST["id_pembiayaan"],
    "kode_pt_asal"=>$_POST["kode_pt_asal"],
    "kode_prodi_asal"=>$_POST["kode_prodi_asal"],
    "kode_jurusan"=>$_POST["jurusan"],
    "new_kode_jurusan"=>$_POST["new_kode_jurusan"]);
  }

  
  
  
   
    $in = $db->insert("history_pendidikan",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("history_pendidikan","id",$_GET["id"]);
    break;
  case "up":
  if ($_POST['jenis_method']==1) {

      $data = array(
    "mulai_smt"=>$_POST["mulai_smt"],
    "nipd"=>$_POST["nipd"],
    "id_jns_daftar"=>$_POST["id_jns_daftar"],
    "id_jalur_masuk"=>$_POST["id_jalur_masuk"],
    "tgl_masuk_sp"=>$_POST["tgl_masuk_sp"],
    "id_pembiayaan"=>$_POST["id_pembiayaan"],
    "biaya_masuk_kuliah"=>$_POST["biaya_masuk_kuliah"],
    "id_bidang_minat"=>$_POST["id_bidang_minat"],
    "kode_jurusan"=>$_POST["jurusan"]);

      if ($_POST['id_jns_daftar']!='1') {
          $data["kode_pt_asal"] = $_POST["kode_pt_asal"];
          $data["kode_prodi_asal"] = $_POST["kode_prodi_asal"];
      }
      
  } elseif($_POST['jenis_method']==3) {
      $data = array(
    "mulai_smt"=>$_POST["mulai_smt"],
    "nipd"=>$_POST["nipd"],
    "id_jns_daftar"=>$_POST["id_jns_daftar"],
    "id_jalur_masuk"=>$_POST["id_jalur_masuk"],
    "tgl_masuk_sp"=>$_POST["tgl_masuk_sp"],
    "id_pembiayaan"=>$_POST["id_pembiayaan"],
    "biaya_masuk_kuliah"=>$_POST["biaya_masuk_kuliah"],
    "kode_jurusan"=>$_POST["jurusan"],
    "id_bidang_minat"=>$_POST["id_bidang_minat"],
    "new_kode_jurusan"=>$_POST["new_kode_jurusan"]);
  } else {
      $data = array(
    "mulai_smt"=>$_POST["mulai_smt"],
    "nipd"=>$_POST["nipd"],
    "new_nipd"=>$_POST["new_nipd"],
    "id_jns_daftar"=>$_POST["id_jns_daftar"],
    "id_jalur_masuk"=>$_POST["id_jalur_masuk"],
    "tgl_masuk_sp"=>$_POST["tgl_masuk_sp"],
    "id_pembiayaan"=>$_POST["id_pembiayaan"],
    "biaya_masuk_kuliah"=>$_POST["biaya_masuk_kuliah"],
    "kode_jurusan"=>$_POST["jurusan"],
    "id_bidang_minat"=>$_POST["id_bidang_minat"],
    "new_kode_jurusan"=>$_POST["new_kode_jurusan"]);
    if ($_POST['id_jns_daftar']!='1') {
          $data["kode_pt_asal"] = $_POST["kode_pt_asal"];
          $data["kode_prodi_asal"] = $_POST["kode_prodi_asal"];
      }
  }
    
    $up = $db->update("history_pendidikan",$data,"id",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>